-- get_manager_name.sql

CREATE OR REPLACE PROCEDURE get_manager_name
  (store_no store.store_number%TYPE, manager_name OUT VARCHAR2)
AS
BEGIN
  SELECT firstname || ' ' || lastname
    INTO manager_name
    FROM person INNER JOIN store ON (id = manager_id)
   WHERE store_number = store_no;
END;
/
